
ChiliProject - Feature # 838: Makes spent time column available on the issue list

Status: Open Priority: Normal
Author: Holger Just Category: Issue tracking
Created: 2012-01-17 Assignee: Felix Schäfer
Updated: 2012-08-20 Due date:
Remote issue URL: http://www.redmine.org/issues/971
Affected version:
Description: Makes spent time column available on the issue list

There is a pull request from Romain Lalaut at https://github.com/chiliproject/chiliproject/pull/149. He ported the 
"respective patch":http://www.redmine.org/projects/redmine/repository/revisions/8073 from Redmine.

Associated revisions
2008-03-13 12:00 am - Jean-Philippe Lang 
SCM AbstractAdapter use shell_quote to more properly escape path (closes #838 by John Goerzen).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1238 e93f8b46-1217-0410-a6f0-8f06a7374b81

History
2012-01-17 07:22 pm - Holger Just
- Tracker changed from Bug to Feature

- Status changed from Ready for review to Needs more information

I endorse the intention of the patch. Thanks for that!

However I'm a bit puzzled why you didn't port the tests too. These are important for us to maintain a stable system while adding new features and 
refactoring old stuff. So could you please port the tests too? Only then I could a merge the patch.

2012-02-12 07:15 pm - Tom Rochette
Duplicates #460.

2012-06-21 10:10 pm - Felix Schäfer
- Target version set to 3.3.0

If someone ports the tests until then we could include it in 3.3.

2012-07-09 09:55 pm - Felix Schäfer
- Status changed from Needs more information to Ready for review

- Assignee set to Holger Just

I've additionally backported the tests and a subsequent commit containing a fix for this, the pull request is at 
https://github.com/chiliproject/chiliproject/pull/220

Holger, could you have a look and merge it? Thanks!

2012-07-14 09:23 pm - Felix Schäfer
- Status changed from Ready for review to Open
- Assignee changed from Holger Just to Felix Schäfer

- Target version changed from 3.3.0 to 3.4.0

Bumping to version#33, there's concerns about data leaks.

2012-08-20 06:43 pm - Holger Just
- Target version deleted (3.4.0)
